commit:     2bc55ad1a2b3ee493dcbfc154827e2f69ca563aa
Author:     Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Mon Nov 26 21:03:07 2018 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Thu Dec  6 20:39:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2bc55ad1

dev-python/numexpr: 2.6.8 version bump

Closes: https://bugs.gentoo.org/672030
Package-Manager: Portage-2.3.52, Repoman-2.3.12
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>

 dev-python/numexpr/Manifest             |  1 +
 dev-python/numexpr/numexpr-2.6.8.ebuild | 58 +++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+)

diff --git a/dev-python/numexpr/Manifest b/dev-python/numexpr/Manifest
index 98459e09da8..7d3671f6bc9 100644
--- a/dev-python/numexpr/Manifest
+++ b/dev-python/numexpr/Manifest
@@ -1,2 +1,3 @@
 DIST numexpr-2.6.1.tar.gz 90819 BLAKE2B 
833402388e184bd38c449bcda866f68858f486d5cf30aec29dc5e9827a34a40cb166128a8fb217f0ed1614e0b759cf2164e31cb2a16198ea3e6a216c9fe01853
 SHA512 
07c88b1788ecad2c59260e7a6a15dfc21d486462a8866091d157286e5ce3b5b77f5fdab401fd30e2a5e4880398af53641d557003497c7d3658421bfcff38c31c
 DIST numexpr-2.6.2.tar.gz 90970 BLAKE2B 
85034d7d36bd921df289f817451e7b30071b9d448dc050e4f25afd13315921e3c10d61a41983cf106606e4efd91504e94ca7d8f01d80b230a9f717f41eb687ee
 SHA512 
730e19e61987ecb00bfc3a65db043c88a1311046f2ea5f0a48c93d6a8d7576dbaa166b0b9b0f547e344b21b5c269be1b5aa2097e88aaac55219884c7ece55261
+DIST numexpr-2.6.8.tar.gz 94517 BLAKE2B 
b41593183d69cd98f81107da5abc3eb59b35c6e61c0dde213c9a201c2776e4684d8af4b1a88c59ca464a7755941de9baf2157af64e8662c4219ae8ece635aefb
 SHA512 
e610a2e3891f12b3a9fd7acb14a0362e0f03084035aa274827ec5e7d2584f2c599493afaf406d8720d915c7ed834dca11b1fbf28c0645077eb63223a2bf52cf9

diff --git a/dev-python/numexpr/numexpr-2.6.8.ebuild 
b/dev-python/numexpr/numexpr-2.6.8.ebuild
new file mode 100644
index 00000000000..0e6532a4ac0
--- /dev/null
+++ b/dev-python/numexpr/numexpr-2.6.8.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+PYTHON_REQ_USE="threads(+)"
+
+inherit distutils-r1 flag-o-matic
+
+DESCRIPTION="Fast numerical array expression evaluator for Python and NumPy"
+HOMEPAGE="https://github.com/pydata/numexpr";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="mkl"
+
+RDEPEND="
+       >=dev-python/numpy-1.6[${PYTHON_USEDEP}]
+       mkl? ( sci-libs/mkl )"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_prepare_all() {
+       # TODO: mkl can be used but it fails for me
+       # only works with mkl in tree. newer mkl will use pkgconfig
+       if use mkl; then
+               use amd64 && local ext="_lp64"
+               cat > site.cfg <<- _EOF_ || die
+                       [mkl]
+                       library_dirs = ${MKLROOT}/lib/em64t
+                       include_dirs = ${MKLROOT}/include
+                       mkl_libs = mkl_solver${ext}, mkl_intel${ext}, \
+                       mkl_intel_thread, mkl_core, iomp5
+               _EOF_
+       fi
+
+       distutils-r1_python_prepare_all
+}
+
+python_compile() {
+       if ! python_is_python3; then
+               local -x CFLAGS="${CFLAGS}"
+               append-cflags -fno-strict-aliasing
+       fi
+
+       distutils-r1_python_compile
+}
+
+python_test() {
+       pushd "${BUILD_DIR}"/lib >/dev/null || die
+       "${EPYTHON}" \
+               -c "import sys;import numexpr;sys.exit(0 if numexpr.test() else 
1)" \
+               || die
+       pushd >/dev/null || die
+}

Reply via email to